> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /taxDocument/webhook



## OpenAPI

````yaml /api-reference/accounting.openapi.json post /taxDocument/webhook
openapi: 3.0.3
info:
  title: Accounting
  version: 1.0.0
  description: >-
    Portão 3 accounting API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=9 copied:manual=0 unknown=12.
servers:
  - url: https://api.accounting.v2.portao3.com.br/
    description: production
  - url: https://api.accounting.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Tax Documents (NFSe)
  - name: Tax Issuers
  - name: Tax Codes
  - name: Internal & Support
paths:
  /taxDocument/webhook:
    post:
      tags:
        - Internal & Support
      summary: /taxDocument/webhook
      operationId: postTaxDocumentWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tipo:
                  type: string
                  minLength: 1
                empresaId:
                  type: string
                  minLength: 1
                nfeId:
                  type: string
                  minLength: 1
                nfeIdExterno:
                  type: string
                  minLength: 1
                nfeStatus: {}
                nfeMotivoStatus: {}
                nfeLinkPdf: {}
                nfeLinkXml: {}
                nfeNumero: {}
                nfeCodigoVerificacao: {}
                nfeChaveAcesso: {}
                nfeNumeroRps: {}
                nfeSerieRps:
                  type: string
                nfeDataCompetencia:
                  type: string
                  minLength: 1
                nfeDataAutorizacao: {}
                nfeDataCancelamento: {}
                instrucoesAutenticidadeNota: {}
                nfeWebHookMetadados: {}
              required:
                - tipo
                - empresaId
                - nfeId
                - nfeIdExterno
                - nfeStatus
                - nfeNumeroRps
                - nfeDataCompetencia
                - nfeDataAutorizacao
                - nfeDataCancelamento
                - instrucoesAutenticidadeNota
                - nfeWebHookMetadados
      responses:
        default:
          description: Undocumented response (no code type, no existing spec).
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````